import { RecursiveRecord } from '@dvcol/common-utils';
import { MalApiFields } from '../../models/mal-client.model.js';
import '@dvcol/base-http-client';
import '@dvcol/common-utils/common/models';
import '@dvcol/common-utils/http/fetch';

declare const MalApiTransforms: {
    array: {
        /** Join array elements with separator (defaults to comma ',') */
        toString: <T extends string>(arrayOrString: T | T[], separator?: string) => T;
    };
    fields: <T extends RecursiveRecord>(fields: MalApiFields<T>) => string;
};

export { MalApiTransforms };
