declare const MalApiValidators: {
    isNumber: (value: string | number, name?: string) => number;
    max: (value: number | string, { max, name }: {
        max: number;
        name?: string;
    }) => number;
    min: (value: number | string, { min, name }: {
        min: number;
        name?: string;
    }) => number;
    minMax: (value: number | string, { min, max, name }: {
        min: number;
        max: number;
        name?: string;
    }) => number;
    maxLength: (value: string | {
        length: number;
    }, { max, name }: {
        max: number;
        name?: string;
    }) => number;
    minLength: (value: string | {
        length: number;
    }, { min, name }: {
        min: number;
        name?: string;
    }) => number;
    minMaxlength: (value: string | {
        length: number;
    }, { min, max, name }: {
        min: number;
        max: number;
        name?: string;
    }) => number;
};

export { MalApiValidators };
