"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }// lib/models/mal-authentication.model.ts
var isToken = (token) => "token_type" in token;
var MalClientAuthentication = class _MalClientAuthentication {
  
  
  
  
  
  
  constructor(authentication, { state, code } = {}) {
    this.refresh_token = authentication.refresh_token;
    this.access_token = authentication.access_token;
    if (isToken(authentication)) {
      this.created = Date.now();
      this.expires = this.created + authentication.expires_in * 1e3;
      this.state = state;
      this.code = code;
    } else {
      this.created = authentication.created;
      this.expires = authentication.expires;
      this.state = _nullishCoalesce(authentication.state, () => ( state));
      this.code = _nullishCoalesce(authentication.code, () => ( code));
    }
  }
  static isExpired(expires) {
    if (expires === void 0) return false;
    return expires < Date.now();
  }
  isExpired(expires = this.expires) {
    return _MalClientAuthentication.isExpired(expires);
  }
};



exports.MalClientAuthentication = MalClientAuthentication;
