"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }// lib/api/transforms/mal-api.transforms.ts
var MalApiTransforms = {
  array: {
    /** Join array elements with separator (defaults to comma ',') */
    toString: (arrayOrString, separator = ",") => {
      if (arrayOrString && Array.isArray(arrayOrString)) return arrayOrString.join(separator);
      return arrayOrString;
    }
  },
  fields: (fields) => {
    if (typeof fields === "string") return fields;
    if (Array.isArray(fields)) return fields.join(",");
    return Object.entries(fields).map(([key, value]) => {
      if (!_optionalChain([value, 'optionalAccess', _ => _.length])) return;
      if (Array.isArray(value)) return `${key}{${value.join(",")}}`;
      return value;
    }).join(",");
  }
};



exports.MalApiTransforms = MalApiTransforms;
