"use strict";Object.defineProperty(exports, "__esModule", {value: true});// lib/models/mal-manga.model.ts
var MalMangaType = {
  Unknown: "unknown",
  Manga: "manga",
  Novel: "novel",
  OneShot: "one_shot",
  Doujin: "doujin",
  Manhwa: "manhwa",
  Manhua: "manhua",
  OEL: "oel"
};
var MalMangaStatus = {
  Finished: "finished",
  CurrentlyPublishing: "currently_publishing",
  NotYetPublished: "not_yet_published"
};
var MalMangaListStatus = {
  Reading: "reading",
  Completed: "completed",
  OnHold: "on_hold",
  Dropped: "dropped",
  PlanToRead: "plan_to_read"
};
var MalMangaRankingType = {
  /** All */
  All: "all",
  /** Top Manga */
  Manga: "manga",
  /** Top Novels */
  Novels: "novels",
  /** Top One-shots */
  OneShots: "oneshots",
  /** Top Doujinshi */
  Doujin: "doujin",
  /** Top Manhwa */
  Manhwa: "manhwa",
  /** Top Manhua */
  Manhua: "manhua",
  /** Most Popular */
  ByPopularity: "bypopularity",
  /** Most Favorited */
  Favorite: "favorite"
};
var MalMangaListSort = {
  /** Descending order of the score. */
  ListScore: "list_score",
  /** Descending order of the updated date. */
  ListUpdatedAt: "list_updated_at",
  /** Ascending order of manga title. */
  MangaTitle: "manga_title",
  /** Descending order of start date */
  MangaStartDate: "manga_start_date",
  /** Ascending order of anime Id */
  MangaId: "manga_id"
};







exports.MalMangaType = MalMangaType; exports.MalMangaStatus = MalMangaStatus; exports.MalMangaListStatus = MalMangaListStatus; exports.MalMangaRankingType = MalMangaRankingType; exports.MalMangaListSort = MalMangaListSort;
