"use strict";Object.defineProperty(exports, "__esModule", {value: true});// lib/models/mal-anime.model.ts
var MalAnimeType = {
  Unknown: "unknown",
  TV: "tv",
  OVA: "ova",
  Movie: "movie",
  Special: "special",
  ONA: "ona",
  Music: "music"
};
var MalAnimeStatus = {
  FinishedAiring: "finished_airing",
  CurrentlyAiring: "currently_airing",
  NotYetAired: "not_yet_aired"
};
var MalAnimeSeason = {
  /** January, February, March */
  Winter: "winter",
  /** April, May, June */
  Spring: "spring",
  /** July, August, September */
  Summer: "summer",
  /** October, November, December */
  Fall: "fall"
};
var MalAnimeSource = {
  Other: "other",
  Original: "original",
  Manga: "manga",
  KomaManga: "4_koma_manga",
  WebManga: "web_manga",
  DigitalManga: "digital_manga",
  Novel: "novel",
  LightNovel: "light_novel",
  VisualNovel: "visual_novel",
  Game: "game",
  CardGame: "card_game",
  Book: "book",
  PictureBook: "picture_book",
  Radio: "radio",
  Music: "music"
};
var MalAnimeRating = {
  /** G - All Ages */
  G: "g",
  /** PG - Children */
  PG: "pg",
  /** pg_13 - Teens 13 and Older */
  PG13: "pg_13",
  /** R - 17+ (violence & profanity) */
  R: "r",
  /** R+ - Profanity & Mild Nudity */
  RPlus: "r+",
  /** Rx - Hentai */
  Rx: "rx"
};
var MalAnimeRankingType = {
  /** Top Anime Series */
  All: "all",
  /** Top Airing Anime */
  Airing: "airing",
  /** Top Upcoming Anime */
  Upcoming: "upcoming",
  /** Top Anime TV Series */
  TV: "tv",
  /** Top Anime OVA Series */
  OVA: "ova",
  /** Top Anime Movies */
  Movie: "movie",
  /** Top Anime Specials */
  Special: "special",
  /** Top Anime by Popularity */
  ByPopularity: "bypopularity",
  /** Top Favorited Anime */
  Favorite: "favorite"
};
var MalAnimeSort = {
  /** In descending order of score. */
  AnimeScore: "anime_score",
  /** In descending order of the number of list users. */
  AnimeNumListUsers: "anime_num_list_users"
};
var MalAnimeUserListSort = {
  /** Descending order of the score. */
  ListScore: "list_score",
  /** Descending order of the updated date. */
  ListUpdatedAt: "list_updated_at",
  /** Ascending order of anime title. */
  AnimeTitle: "anime_title",
  /** Descending order of start date */
  AnimeStartDate: "anime_start_date",
  /** Ascending order of anime Id */
  AnimeId: "anime_id"
};










exports.MalAnimeType = MalAnimeType; exports.MalAnimeStatus = MalAnimeStatus; exports.MalAnimeSeason = MalAnimeSeason; exports.MalAnimeSource = MalAnimeSource; exports.MalAnimeRating = MalAnimeRating; exports.MalAnimeRankingType = MalAnimeRankingType; exports.MalAnimeSort = MalAnimeSort; exports.MalAnimeUserListSort = MalAnimeUserListSort;
